### Method

# Soup MessageHeaders set_encoding

#### Declaration [src]

    void
    soup_message_headers_set_encoding (
      SoupMessageHeaders* hdrs,
      SoupEncoding encoding
    )

#### Description [src]

Sets the message body encoding that `hdrs` will declare.

In particular, you should use this if you are going to send a request or response in chunked encoding.

#### Parameters

`encoding`

  Type: `SoupEncoding`

  A `SoupEncoding`.